[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControlBorderSpacing.AutoAdjustLayout

Automatically adjusts the size of the control using the specified proportions.

## Declaration

Source position: controls.pp line 858

`public procedure TControlBorderSpacing.AutoAdjustLayout(`
`const AXProportion: Double;`
`const AYProportion: Double`
`);`

## Arguments

`AYProportion` |  | Scaling factor applied to height values.

## Description

AutoAdjustLayout is a procedure used to automatically adjust the size of the control using the specified proportions.

AXProportion and AYProportion are Double values which contain the scaling factor applied to width and height values in corresponding properties. For example, 1.25 indicates an increase to 125% of the original value, and 0.5 indicates a 50% decrease in the original value.

AutoAdjustLayout scales the value in width and height for properties, including:

- Around
- InnerBorder
- Left
- Top
- Right
- Bottom

When property values are altered in the scaling operation, the InvalidatePreferredSize method is called to recalculate the dimensions for the control. The Change method is called when value(s) in InnerBorder have been altered.

## See also

TControlBorderSpacing.Around |  | The border space on each of the edges for the associated control.
TControlBorderSpacing.InnerBorder |  | Space added to the preferred size for the widget.
TControlBorderSpacing.Left |  | The border space on the left edge of the associated control.
TControlBorderSpacing.Top |  | The border space on the top edge of the associated control.
TControlBorderSpacing.Right |  | The border space on the right edge of the associated control.
TControlBorderSpacing.Bottom |  | The border space on the bottom edge of the associated control.